Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048860
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Copy Retail Storemajoralways2022-03-21 16:202022-06-22 14:00
ReporterivazquezView Statuspublic 
Assigned Toradhakrishnan 
PriorityhighResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048860: Error installing "Copy Retail Store" module (22Q1.1)

DescriptionAn attempt is made to install the "Copy Retail Store" module in QA from the "Module Management" window and when compiling it shows the following error:

compileSqlc:
    [javac] Compiling 2147 source files to /path/QA/openbravo/build/classes
    [javac] /path/QA/openbravo/modules/org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java:25: error: package org.openbravo.retail.discounts does not exist
    [javac] import org.openbravo.retail.discounts.DiscountsEngineAppComponentProvider;
    [javac] ^
    [javac] 1 error


There seems to be a dependency problem where the module "org.openbravo.retail.discounts" are not being added.
Steps To Reproduce1.- Setting up a pristine in QA

2.- Install the "Copy Retail Store" module from the "Module Management" window

3.- Stop tomcat and compile with the following command: ant update.database compile.complete smartbuild

4.- Visualize that the compilation fails
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0136347)
ivazquez (developer)
2022-04-05 20:20

Hello Team,

Any news?

Regards,
Ignacio Vazquez
(0136685)
marvintm (manager)
2022-04-22 13:30

You are most probably trying to install the module in a release which doesn't contain the latest changes after the indexeddb refactor.
(0138426)
ivazquez (developer)
2022-06-16 14:51

The installation of this module is being done from the Module Management window, shouldn't I install the correct version from this window?

- Issue History
Date Modified Username Field Change
2022-03-21 16:20 ivazquez New Issue
2022-03-21 16:20 ivazquez Assigned To => psarobe
2022-03-21 16:25 Practics Issue Monitored: Practics
2022-04-05 20:20 ivazquez Note Added: 0136347
2022-04-19 14:27 ivazquez Assigned To psarobe => Retail
2022-04-21 18:01 ivazquez Project QA => Retail Modules
2022-04-21 18:02 ivazquez Triggers an Emergency Pack => No
2022-04-21 18:02 ivazquez Category QA - General => Copy Retail Store
2022-04-21 18:02 ivazquez version Pi =>
2022-04-21 18:02 ivazquez Target Version Pi =>
2022-04-22 13:30 marvintm Review Assigned To => marvintm
2022-04-22 13:30 marvintm Note Added: 0136685
2022-04-22 13:30 marvintm Status new => closed
2022-04-22 13:30 marvintm Resolution open => no change required
2022-06-16 14:47 ivazquez Status closed => new
2022-06-16 14:47 ivazquez Resolution no change required => open
2022-06-16 14:51 ivazquez Note Added: 0138426
2022-06-22 14:00 radhakrishnan Assigned To Retail => radhakrishnan
2022-06-22 14:00 radhakrishnan Status new => scheduled


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker